Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.workplace.wcm.api
Interface VersionCatalog

All Superinterfaces:
  java.lang.Iterable<Version>

    public interface VersionCatalog

extends java.lang.Iterable<Version>

Access the set of available Versions of a `Document`

Since:
  8.0

Method Summary
`java.util.Iterator<Version>` | `all()` Returns an `Iterator` to all available `Version`s of this `Document`
`void` | `createVersion(java.lang.String... labels)` Create a new `Version` of the live `Document` stored in the repository.
`boolean` | `hasVersions()` Returns `true` if this Document has stored `Version` documents in the repository.
`void` | `remove(Version version)` Remove the specified `Version` Documents for this item.

Methods inherited from interface java.lang.Iterable
`iterator`

Method Detail

### hasVersions

    boolean hasVersions()

  Returns `true` if this Document has stored `Version` documents in the repository.

  Returns:
    Iterator to all `Version`s that exist for this Document.
  Since:
    8.0

### all

    java.util.Iterator<Version> all()

  Returns an `Iterator` to all available `Version`s of this `Document`

  Returns:
    Iterator of all Versions of this `Document` if they exist.
  Since:
    8.0

### remove

    void remove(Version version)
                throws AuthorizationException,
                       DocumentNotFoundException,
                       DocumentLockedException,
                       VersioningException

  Remove the specified `Version` Documents for this item.

  Parameters:
    `version` - to be removed
  Throws:
    `AuthorizationException` - if the current user does not have sufficient access rights to remove the version
    `DocumentNotFoundException` - if the version could be found in the repository
    `DocumentLockedException` - if the live item is currently locked
    `VersioningException` - if an error occurred trying to remove the version from the repository
    `BaseVersionDeletionException` - when attempting to remove the most recent (the base) version created of an Item
    `LastVersionDeletionException` - when attempting to remove the last remaining `Version` of a deleted item
  Since:
    8.0

### createVersion

    void createVersion(java.lang.String... labels)
                       throws AuthorizationException,
                              OperationFailedException,
                              DocumentNotFoundException

  Create a new `Version` of the live `Document` stored in the repository. Note: An single empty string is treated as a value and is not the same as passing in null or an empty `String[]`.

  Parameters:
    `labels` - the String labels to set on the new `Version`
  Throws:
    `AuthorizationException` - if the current user does not have sufficient access rights to remove the version
    `DocumentNotFoundException` - if the version could be found in the repository
    `OperationFailedException` - if an error occurred trying to remove the version from the repository
  Since:
    8.0

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD